%{?mingw_package_header}

%global pkgname fribidi

Name:          mingw-%{pkgname}
Version:       1.0.14
Release:       %mkrel 1
Summary:       MinGW Windows %{pkgname} library

Group:         Development/Other
License:       LGPLv2+
BuildArch:     noarch
URL:           https://github.com/%{pkgname}/%{pkgname}
Source0:       https://github.com/%{pkgname}/%{pkgname}/releases/download/v%{version}/%{pkgname}-%{version}.tar.xz

# Drop bundled gnulib
Patch0:        fribidi-drop-bundled-gnulib.patch

BuildRequires: meson
BuildRequires: gcc

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_meson --default-library=both -Ddocs=false
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/fribidi.exe
%{mingw32_bindir}/libfribidi-0.dll
%{mingw32_includedir}/fribidi
%{mingw32_libdir}/libfribidi.dll.a
%{mingw32_libdir}/pkgconfig/fribidi.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libfribidi.a

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/fribidi.exe
%{mingw64_bindir}/libfribidi-0.dll
%{mingw64_includedir}/fribidi
%{mingw64_libdir}/libfribidi.dll.a
%{mingw64_libdir}/pkgconfig/fribidi.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libfribidi.a




%changelog
* Mon May 06 2024 daviddavid <daviddavid> 1.0.14-1.mga10
+ Revision: 2062402
- new version: 1.0.14

* Mon Aug 28 2023 daviddavid <daviddavid> 1.0.13-1.mga10
+ Revision: 1980336
- new version: 1.0.13

* Sun Sep 11 2022 neoclust <neoclust> 1.0.12-1.mga9
+ Revision: 1886981
- New version  1.0.12

* Thu Mar 24 2022 umeabot <umeabot> 1.0.10-2.mga9
+ Revision: 1824276
- Mageia 9 Mass Rebuild

* Tue Jul 07 2020 daviddavid <daviddavid> 1.0.10-1.mga8
+ Revision: 1602764
- new version: 1.0.10

* Tue Mar 03 2020 daviddavid <daviddavid> 1.0.9-1.mga8
+ Revision: 1553461
- new version: 1.0.9

* Tue Feb 18 2020 umeabot <umeabot> 1.0.8-2.mga8
+ Revision: 1539788
- Mageia 8 Mass Rebuild

* Fri Dec 13 2019 daviddavid <daviddavid> 1.0.8-1.mga8
+ Revision: 1466280
- new version: 1.0.8

* Sun Nov 10 2019 daviddavid <daviddavid> 1.0.7-2.mga8
+ Revision: 1458987
- add upstream patch to fix CVE-2019-18397 (mga#25673)

* Sat Sep 28 2019 daviddavid <daviddavid> 1.0.7-1.mga8
+ Revision: 1447772
- new version: 1.0.7

* Thu Aug 29 2019 daviddavid <daviddavid> 1.0.5-1.mga8
+ Revision: 1434951
- mageiaify
- imported package mingw-fribidi


* Wed Aug 28 2019 Sandro Mani <manisandro@gmail.com> - 1.0.5-1
- Initial package
